Bug 161027 - Unhandled exception in Anaconda during package dependency check in http install on DELL Latitude CP
Unhandled exception in Anaconda during package dependency check in http insta...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-19 20:28 EDT by Nick Hood
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 06:42:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unhandled exception dump file (766.26 KB, text/plain)
2005-06-19 20:36 EDT, Nick Hood
no flags Details

  None (edit)
Description Nick Hood 2005-06-19 20:28:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Booted from Hard Disk partition made from diskboot.img using dd.exe under Windows NT. Network install over http began OK, downloaded netstg2.img OK. Read package info OK. Allowed selection of install type (custom) OK. Selected packages, during dependency check, got the unhandled exception.

Saved the log file to floppy, will attach to this report for analysis.

Will not try to reproduce, because I selected "delete all partitions" and it will take me a while before I'm ready to try Linux again.

Version-Release number of selected component (if applicable):
Fedora 4

How reproducible:
Didn't try


Actual Results:  Filed this bug report and went to bed.

Expected Results:  Successful installation.

Additional info:

This is an old Dell laptop I'm trying to get some life out of. I think I'll just chuck it in the skip tomorrow and save myself the stress.
Comment 1 Nick Hood 2005-06-19 20:36:11 EDT
Created attachment 115667 [details]
Unhandled exception dump file

As promised.
Comment 2 E. Houtsma 2005-07-13 07:38:27 EDT
I have a simular kind of problem.

After I've selected the setup-type, created user password, it's searching the
package list.

After that it just crashes...

The last messages on tty4 are:

* moving (1) to step selectlangpackages
* moving (1) to step package-selection

After this anaconde says : installation exited abnormally.

Does anyone has any idea?

Tia,

Erwin
Comment 3 Dumontroty Patrick 2005-11-14 10:38:29 EST
I have the same problem.

After booting from a customized DVD in which I have created a kickstart file and
after passing all questions concerning partitioning, networking,... the
installation crash when searching for package list with the following errors:

An unhandled exception has occured. This most likeky a bug. Please copy the 
full text of this exception or save the crash dump to a floppy then file a 
detailed bug report against anaconda at http://bugzilla.redhat.com/bugzilla/


Traceback (most recent call last):
 File  "/usr/lib/anaconda/gui.py", line 873, in nextClicked
  self.dispatch.gotoNext()
 File  "/usr/lib/anaconda/dispatch.py", line 174, in gotoNext
  self.moveStep()
 File  "/usr/lib/anaconda/dispatch.py", line 242, in moveStep
  rc=apply(func,self.bindArgs(args))
 File  "/usr/lib/anaconda/packages.py", line 207, in readPackages
  id.instClass.setGroupSelection(grpset,intf)
 File  "/usr/lib/anaconda/kickstart.py", line 1559, in setGroupSelection
  pkgs=grpset.hdrlist.pkgnames[name]
KeyError.''


Comment 4 Dumontroty Patrick 2005-11-14 10:41:13 EST
Other comment:
The same installation commented in #3 but done manually works correctly.
Comment 5 Al Walker 2006-01-18 22:48:09 EST
I have a similar "unhandled exception" with FC2. Loading from CD out of a text
book for class. 

An unhandled exception has occurred. This is most likely a bug. Please copy the
full text of this exception, or save the crash dump to a floppy then file a
detailed bug report against anaconda at http://bugzilla.redhat.com/bugzilla/

Trace back (most recent call last):
File "usr/lib/anaconda/gui.py", line 1048, in handleRenderCallback
   self.currentWindow.renderCallback ()
File "usr/lib/anaconda/iw/progress_gui.py", line 242, in renderCallback
   self.intf.icw.nextClicked ()
File "usr/lib/anaconda/gui.py", line 763, in nextClicked
   self.dispatch.gotoNext ()
File "usr/lib anaconda/dispatch.py", line 169, in gotoNext
   self.moveStep ()
File "usr/lib/anaconda/dispatch.py", line 237, in moveStep
   rc=apply(func,self.bindArgs(args))
File "usr/lib/anaconda/packages.py", line 539, in turnOnFilesystems
   theffset.formatSwap(instPath)
File "usr/lib/anaconda/ffset.py", line 1247, in formatSwap
   self.formatEntry(entry,chroot)
File "usr/lib/anaconda/fsset.py", line 1290, in formatEntry
   entry.fsystem.formatDevice(entry,self.progressWindow,chroot)
File "usr/lib/anaconda/fsset.py", line 709, in formatDevice
   searchPath=1
File "usr/lib/anaconda/iutil.py", line 55, in execWithRedirect
   childpid=os.fork ()
OSError: [Errno12] Cannot allocate memory

Comment 6 geoffrey.franks 2006-03-04 10:13:35 EST
I get a similar trace back as #3 and #5 when installing from a CD. However, 
before the unhandled exception note appears I get an error statement that goes 
as follows: 

Error informing the kernel about modification to partition /dev/hda5 - Device 
or resource busy. This means Linux won't know about any changes you made 
to /dev/hda5 until you reboot - so you shouldn't mount it in any way before 
rebooting.

Click "Ignore" or "Cancel".
I click "Ignore" and I get the same error message, but with a different 
partition (/dev/hda6). I keep on picking "Ignore" and the same error keeps 
appearing but referencing successive partitions until there are no more 
partitions.

Then the unhandled exception occurs:

Traceback (most recent call last):
File "/usr/lib/anaconda/gui.py", line 1137, in handleRenderCallback
self.currentWindow.renderCallback()
File "/usr/lib/anaconda/iw/progress_gui.py", line 244, in renderCallback
self.intf.icw.nextClicked()
File "/usr/lib/anaconda/gui.py", line 873, in nextClicked
self.dispatch.gotoNext()
File "/usr/lib/anaconda/dispatch.py", line 174, in gotoNext
self.moveStep()
File "/usr/lib/anaconda/dispatch.py", line 242, in moveStep
rc=apply(func,self.bindArgs(args))
File "/usr/lib/anaconda/partedUtils.py", line 726 in savePartitions
disk.commit()
Comment 7 geoffrey.franks 2006-03-06 07:38:51 EST
If you mark one of the partitions you create as a primary partition during the 
installation process Fedora installs without any problems. At least it did for 
me.
Comment 8 Christian Iseli 2007-01-22 05:41:42 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.